Evaluate a Rule
post
/v1/uwaas/rules/evaluate/{id}
Evaluate a data payload against one rule.
Request
Path Parameters
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
facts(required): object
T_RecordStringAny
Additional Properties Allowed:
trueConstruct a type with a set of arbitrary properties with any type
Nested Schema : T_RecordStringAny
Type:
objectAdditional Properties Allowed:
trueConstruct a type with a set of arbitrary properties with any type
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : EvaluationOverallResult
Type:
Show Source
object-
evaluationResult(required): string
Allowed Values:
[ "BLOCK", "ALLOW" ] -
responses(required): array
responses
Nested Schema : EvaluationResponse
Type:
Show Source
object-
params(required): object
T_RecordStringAny
Additional Properties Allowed:
trueConstruct a type with a set of arbitrary properties with any type -
type(required): string
Allowed Values:
[ "BLOCK", "ALLOW" ]
Nested Schema : T_RecordStringAny
Type:
objectAdditional Properties Allowed:
trueConstruct a type with a set of arbitrary properties with any type
404 Response
Rule not found
500 Response
Internal server error